Subject: Re: [PATCH v3] gnu: waypipe: Clean up phases and dependencies.

From: "Paul A. Patience" <[email-masked]>
Date: Thu, 19 Aug 2021 04:04:27 +0000

On Wednesday, August 18th, 2021 at 22:02, Robby Zambito <[email-masked]> wrote:
> I'm a bit confused as to why test dependencies are supposed to be
> native-inputs. Aren't the tests run on the target architecture, not the
> build machine architecture? And aren't native-inputs built for the build
> machine architecture?

You might be right.
I haven't yet done any cross compiling with Guix yet, so I don't know much about it.
I'll have to let someone with more knowledge comment on this.

Best regards,
Paul